import { defineNuxtPlugin, useRuntimeConfig, useAppConfig } from "#app";
import { defu } from "defu";
export default defineNuxtPlugin((_nuxtApp) => {
  const options = useRuntimeConfig().public.tailwindIcons;
  const appConfig = useAppConfig();
  appConfig.iconTw = defu(options, appConfig.iconTw);
  if (appConfig.iconTw)
    appConfig.iconTw.resolvedPrefixes = options?.resolvedPrefixes;
});
