import { IconsTailwindPluginOptions } from '../dist/runtime/tailwindcss-icons/types.js';
import { NuxtModule } from '@nuxt/schema';

type TailwindIconsModuleOptions = {
    /**
     * Only allow tailwind generated icons; do not use icones API to retrieve them
     *
     * @default false
     */
    tailwindOnly?: boolean;
} & IconsTailwindPluginOptions;
declare const module: NuxtModule<TailwindIconsModuleOptions>;

export { type TailwindIconsModuleOptions, module as default };
