import type { IconifyIcon, IconifyJSON } from './types.iconify.js';
import { type CollectionNames } from './collections.js';
import type { GenerateOptions, IconCollection, IconsTailwindPluginOptions } from './types.js';
export declare const localResolve: (cwd: string, id: string) => string | null;
export declare const isPackageExists: (id: string) => boolean;
export declare const getIconCollections: (include?: CollectionNames[] | 'all') => Record<string, IconifyJSON>;
export declare const getAutoIconCollections: (collections?: IconCollection | CollectionNames[] | 'all') => IconCollection;
export declare const getCustomCollections: (customCollections?: string | IconCollection | (IconCollection | string)[]) => string | IconCollection | undefined;
export declare const generateIconComponent: (data: IconifyIcon, options: GenerateOptions) => Record<string, string>;
export declare const generateComponent: ({ name, icons, }: {
    name: string;
    icons: IconifyJSON;
}, options: GenerateOptions) => Record<string, string> | null;
export declare const getAllIconComponents: (iconsTailwindPluginOptions?: IconsTailwindPluginOptions) => Record<string, Record<string, Record<string, string>>>;
export declare const getAllPrefixes: (iconsPluginOptions?: IconsTailwindPluginOptions) => string[];
